import React from 'react';
import { ArrowRightOutlined } from '@ant-design/icons';
import { Button } from 'antd';
import useBreakpoint from 'antd/lib/grid/hooks/useBreakpoint';
import Link from 'next/link';
import CategoryItemWrapper from './CategoryItem.style';
import { FixedRatioImage, Image } from 'magento-marketplace-ui';
var CategoryItem = function (_a) {
    var category = _a.category, size = _a.size;
    var breakpoints = useBreakpoint();
    return (React.createElement(CategoryItemWrapper, null,
        React.createElement(Link, { href: {
                pathname: '/shop/category/[category]',
                query: { category: category.slug }
            } },
            React.createElement("a", null,
                React.createElement("div", { className: "text-center shadow-md hover:shadow-lg shop-category relative overflow-hidden" },
                    !breakpoints.xs && (React.createElement("div", { className: 'absolute category-name tracking-wider hover:bottom-10 left-4 text-white font-medium text-xs md:text-2xl uppercase', style: {
                            textShadow: '2px 3px 3px rgba(0, 0, 0, 0.4)'
                        } }, category.name)),
                    !breakpoints.xs && (React.createElement(Button, { className: 'absolute z-50 left-1 bottom-2 text-base font-bold font-title opacity-0 text-white flex items-center', style: {
                            textShadow: '2px 2px 2px rgba(0, 0, 0, 0.25)'
                        }, type: 'link' },
                        "SHOP NOW ",
                        React.createElement(ArrowRightOutlined, { className: 'pb-1' }))),
                    React.createElement(FixedRatioImage, { ratio: size === 'large' ? [8, 9] : [16, 9], additionHeight: size === 'large' ? 16 : 0 },
                        React.createElement(Image, { data: category.image, className: "absolute top-0 w-full left-0", size: "thumbnail", height: "100%", alt: "Sample" })),
                    breakpoints.xs && (React.createElement("div", { className: 'absolute bottom-1 left-1 text-white text-xs font-medium text-left', style: {
                            textShadow: '2px 3px 3px rgba(0, 0, 0, 0.4)'
                        } }, category.name)))))));
};
export default CategoryItem;
//# sourceMappingURL=CategoryItem.js.map