import React from 'react';
import Link from 'next/link';
import { HeartFilled, ShoppingOutlined } from '@ant-design/icons';
import { Tooltip } from 'antd';
import ProductItemWrapper from './ProductItem.style';
import { Button, Ellipsis, ProductPrice, Image } from 'magento-marketplace-ui';
var UserRole;
(function (UserRole) {
    UserRole["ADMIN"] = "ROLE_ADMIN";
    UserRole["CHEF"] = "ROLE_CHEF";
    UserRole["USER"] = "ROLE_USER";
    UserRole["CONTENT_MANAGER"] = "ROLE_CONTENT_MANAGER";
})(UserRole || (UserRole = {}));
var STOCK_STATUS;
(function (STOCK_STATUS) {
    STOCK_STATUS["OUT_OF_STOCK"] = "OUT_OF_STOCK";
    STOCK_STATUS["IN_STOCK"] = "IN_STOCK";
})(STOCK_STATUS || (STOCK_STATUS = {}));
var SortBy = function (_a) {
    var _b, _c, _d, _e, _f, _g, _h, _j;
    var product = _a.product, user = _a.user, handleAddToWishlist = _a.handleAddToWishlist, isInWishlist = _a.isInWishlist, mobileMode = _a.mobileMode, handleAddToCart = _a.handleAddToCart, processing = _a.processing, buttonTitle = _a.buttonTitle;
    return (React.createElement(ProductItemWrapper, { className: "p-1 pb-2 lg:p-6 relative mt-4 mb-1 lg:mb-16 z-50 hover:mb-2 bg-white" },
        React.createElement("div", { className: "relative h-0", style: { paddingTop: '100%' } },
            React.createElement(Link, { href: "/shop/product".concat(product.path) },
                React.createElement("a", null,
                    React.createElement(Image, { size: "normal", className: "absolute top-0 left-0 !object-contain", data: (_c = (_b = product === null || product === void 0 ? void 0 : product.images[0]) === null || _b === void 0 ? void 0 : _b.url) !== null && _c !== void 0 ? _c : '/images/default-thumbnail.png', alt: "thumbnail" })))),
        React.createElement(Button, { className: "absolute right-2 lg:right-7 top-2 lg:top-7 shadow-md bg-white", shape: "circle", disabled: ((_d = user === null || user === void 0 ? void 0 : user.roles) === null || _d === void 0 ? void 0 : _d.includes(UserRole.ADMIN)) ||
                ((_e = user === null || user === void 0 ? void 0 : user.roles) === null || _e === void 0 ? void 0 : _e.includes(UserRole.CONTENT_MANAGER)) ||
                ((_f = user === null || user === void 0 ? void 0 : user.roles) === null || _f === void 0 ? void 0 : _f.includes(UserRole.CHEF)), icon: React.createElement(Tooltip, { mouseLeaveDelay: 0, zIndex: 51, title: isInWishlist ? 'Remove from Wishlist' : 'Add to Wishlist' },
                React.createElement(HeartFilled, { className: "text-xl", style: { color: isInWishlist ? '#ce4646' : '#ccc' } })), onClick: function () { return handleAddToWishlist(); }, borderless: true }),
        React.createElement("div", { className: "w-full p-1 lg:p-3" },
            React.createElement(Link, { href: "/shop/product".concat(product.path) },
                React.createElement("a", null,
                    React.createElement(Ellipsis, { className: "text-base font-bold h-12", maxLines: 2 }, product.name)))),
        React.createElement("div", { className: "h-px mx-1 lg:mx-3 mb-2 bg-black w-auto" }),
        React.createElement(ProductPrice, { product: product, className: "ml-1 lg:ml-3" }),
        !mobileMode && (React.createElement("div", { className: "p-3 add-button hidden font-title" },
            React.createElement(Button, { block: true, disabled: product.stockStatus === STOCK_STATUS.OUT_OF_STOCK ||
                    ((_g = user === null || user === void 0 ? void 0 : user.roles) === null || _g === void 0 ? void 0 : _g.includes(UserRole.ADMIN)) ||
                    ((_h = user === null || user === void 0 ? void 0 : user.roles) === null || _h === void 0 ? void 0 : _h.includes(UserRole.CONTENT_MANAGER)) ||
                    ((_j = user === null || user === void 0 ? void 0 : user.roles) === null || _j === void 0 ? void 0 : _j.includes(UserRole.CHEF)), type: "primary", onClick: function () { return handleAddToCart(); }, icon: product.stockStatus === STOCK_STATUS.IN_STOCK ? (React.createElement(ShoppingOutlined, { className: "text-lg pb-1" })) : null, loading: processing }, product.stockStatus === STOCK_STATUS.IN_STOCK
                ? buttonTitle.addItem
                : buttonTitle.out)))));
};
export default SortBy;
//# sourceMappingURL=ProductItem.js.map